[meta] Polish the bookmarks subview and panel
The bookmarks widget subview and panel could be a bit enhanced.

The Win  mockup  for example adds a footer with "Show all bookmarks" for consistency with the history view. It should be the same in the subview.
